CREATE VIEW v_visibleforumthread
AS
SELECT ft.forumid, ft.forumpostid, ft.subject, MAX(fp.forumpostid) AS lastpostid, COUNT(fp.forumpostid) AS postcount
FROM forumpost ft
INNER JOIN forumpost fp ON fp.threadid = ft.forumpostid
WHERE ft.forumpostid = ft.threadid
  AND ft.isvisible = 1
  AND fp.isvisible = 1
GROUP BY ft.forumid, ft.forumpostid, ft.subject
GO
